| Method | URI | Description |
|---|---|---|
| POST | /v2/{tenant_id}/os-quota-sets/{tenant_id}/{user_id} | Updates quotas for a specified tenant/project and user. |
Normal response codes: 200
This table shows the URI parameters for the update quotas for user request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or project in a multi-tenancy cloud. |
| String | The ID for the tenant for which you want to show quotas. This ID is different from the first tenant ID that you specify in the URI: That ID is for the admin tenant. |
| String | The user ID. Specify in the
URI as a query string:
|
Example 3.280. Update quotas for user request: JSON
{
"quota_set": {
"force": "True",
"instances": 9
}
}
Example 3.281. Update quotas for user request: XML
<?xml version='1.0' encoding='UTF-8'?> <quota_set id="fake_tenant"> <force>True</force> <instances>9</instances> </quota_set>
This operation does not require a request body.
Example 3.282. Update quotas for user response: JSON
{
"quota_set": {
"cores": 20,
"floating_ips": 10,
"fixed_ips": -1,
"injected_file_content_bytes": 10240,
"injected_file_path_bytes": 255,
"injected_files": 5,
"instances": 9,
"key_pairs": 100,
"metadata_items": 128,
"ram": 51200,
"security_group_rules": 20,
"security_groups": 10
}
}
Example 3.283. Show quotas for user response: XML
<?xml version='1.0' encoding='UTF-8'?> <quota_set> <cores>20</cores> <floating_ips>10</floating_ips> <fixed_ips>-1</fixed_ips> <injected_file_content_bytes>10240</injected_file_content_bytes> <injected_file_path_bytes>255</injected_file_path_bytes> <injected_files>5</injected_files> <instances>9</instances> <key_pairs>100</key_pairs> <metadata_items>128</metadata_items> <ram>51200</ram> <security_group_rules>20</security_group_rules> <security_groups>10</security_groups> </quota_set>
This operation does not return a response body.

